<?php

/*
 * @package RS-MINI
 * @copyright (c) 2015 Alexey Glumov aka Rio-Shaman (support@rio-shaman.ru)
 * @license GNU General Public License version 2; see LICENSE.txt
 *
 */
 
namespace core;

if(!defined('RS-MINI')) die();

/*
 * controller v 1.0
 * 
 * Класс хранит инфу о контроллере
 *
 */

class controller
{   
	/*
     * свойство id контроллера
     *
     * @var    - integer
     * @access - public
     */
	
	public $controllerID;
	
	/*
     * свойство имя контроллера
     *
     * @var    - string
     * @access - public
     */
	
	public $controllerName;
	
	/*
     * свойство параметров контроллера (строчка)
     *
     * @var    - string
     * @access - private
     */
	
	private $controllerParam;
	
	/*
     * свойство параметров контроллера (массив)
     *
     * @var    - array
     * @access - private
     */
	
	private $paramList = array();
	
	/*
     * свойство наследования контроллера
     *
     * @var    - boolean
     * @access - public
     */
	
	public $controllerInherit;
	
	/*
     * свойство определяет унаследовался ли контроллер
     *
     * @var    - boolean
     * @access - public
     */
	
	public $inheritFlag = FALSE;

	/*
     * контсруктор. получаем объекты переданные по ссылке
     * 
     * @access - public
     * 
     * @param array connect - массив с полями подключения. в часности важны ключи
     *                        ['controller_id']
     *                        ['controller_name']
     *                        ['connect_value']
     *                        ['connect_inherit']
     */
	
	public function __construct(&$connect)
	{
        
	}
}
